"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var routeFactory_1 = require("../customs/routeFactory");
var generatedCurrentResident = routeFactory_1.generateDrawerRoutes('currentResident', [
    'homepage',
    'profile',
    'physicians',
    'communication',
    'contacts',
    'loa',
    'hospitalization',
    'alerts',
    'images'
]);
var generatedCharting = routeFactory_1.generateDrawerRoutes('charting', [
    'progressNotes',
    'incidentReporting',
    'vitals',
    'schedule',
    'physicianConsult'
]);
var generateMarTar = routeFactory_1.generateDrawerRoutes('marTar', [
    'monthlyMAR',
    'dailyMAR',
    'dailyTAR',
    'prn',
    'prePrintedOrders',
    'contingency',
    'medReceipt'
]);
var generatedPharmacyRequest = routeFactory_1.generateDrawerRoutes('pharmacyRequest', [
    'refill',
    'pending',
    'processed',
    'generalPharmacyRequest'
]);
var generatedOrders = routeFactory_1.generateDrawerRoutes('orders', [
    'nonMedOrders',
    'medOrders',
    'nonPharmacySuppliedMeds',
    'medsOnAdmission',
    'discontinuedMeds'
]);
var generatedCareTasks = routeFactory_1.generateDrawerRoutes('careTasks', [
    'dailyCareTasks',
    'monthlyCareTasks',
    'careTasksManagement'
]);
exports.patientMenu = [
    generatedCurrentResident,
    generatedCharting,
    generateMarTar,
    generatedOrders,
    generatedPharmacyRequest,
    generatedCareTasks
];
var generatedResidentSearch = routeFactory_1.generateNavRoutes('residentSearch', [
    'residentSearchPage',
    'residentQuickSearch'
]);
var generatedPPOContingencyBulk = routeFactory_1.generateNavRoutes('ppoContingencyBulk', [
    'medReceipt',
    'viewPreprintedOrders'
]);
var generatedMedTaskManagement = routeFactory_1.generateNavRoutes('medTaskManagement', [
    'globalMedReceipt',
    'viewSchedulesMarTarEvents',
    'viewCareTasks',
    'viewLastDose',
    'viewPrnPpo',
    'generalPharmacyRequest',
    'narcoticRecords',
    'enterBarcodeManually'
]);
var generatedAdmin = routeFactory_1.generateNavRoutes('admin', []);
var generatedReports = routeFactory_1.generateNavRoutes('reports', []);
exports.headerMenu = [
    generatedResidentSearch,
    generatedPPOContingencyBulk,
    generatedMedTaskManagement,
    generatedAdmin,
    generatedReports
];
//# sourceMappingURL=routes.js.map