"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var TextField_1 = require("@material-ui/core/TextField");
var InputAdornment_1 = require("@material-ui/core/InputAdornment");
var IconButton_1 = require("@material-ui/core/IconButton");
var VisibilityOff_1 = require("@material-ui/icons/VisibilityOff");
var Visibility_1 = require("@material-ui/icons/Visibility");
var classnames_1 = require("classnames");
var AccountCircle_1 = require("@material-ui/icons/AccountCircle");
var hooks_1 = require("../../customs/hooks");
var styleFactory_1 = require("../../customs/styleFactory");
var LystLoginField = function (_a) {
    var _b, _c;
    var styles = _a.styles, required = _a.required, variant = _a.variant, type = _a.type, inputVal = _a.inputVal, handleChange = _a.handleChange;
    var classes;
    styles ? (classes = styleFactory_1.default(styles)()) : (classes = styles);
    var _d = hooks_1.inputHooks(), handlePasswordIconClick = _d.handlePasswordIconClick, showPassword = _d.showPassword;
    var setIcon = function () {
        switch (type) {
            case 'password':
                return showPassword ? React.createElement(VisibilityOff_1.default, null) : React.createElement(Visibility_1.default, null);
            default:
                return React.createElement(AccountCircle_1.default, null);
        }
    };
    return (React.createElement(TextField_1.default, { margin: 'normal', variant: variant, classes: {
            root: classnames_1.default((_b = {},
                _b[classes.input] = classes.input,
                _b))
        }, required: required, type: type === 'username' ? 'text' : showPassword ? 'text' : 'password', name: type, label: type.charAt(0).toUpperCase() + type.slice(1), value: inputVal, onChange: handleChange(type), InputProps: {
            endAdornment: (React.createElement(InputAdornment_1.default, { position: "end" },
                React.createElement(IconButton_1.default, { "aria-label": "Toggle password visibility", onClick: type === 'password' ? handlePasswordIconClick : function () { }, classes: {
                        root: classnames_1.default((_c = {},
                            _c[classes.icon] = classes.icon,
                            _c))
                    } }, setIcon())))
        } }));
};
LystLoginField.defaultProps = {
    styles: { input: null, icon: null }
};
exports.default = LystLoginField;
//# sourceMappingURL=LystLoginField.js.map