"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var LystLoginField_1 = require("../LystLoginField");
var LystButton_1 = require("../LystButton");
var CssBaseline_1 = require("@material-ui/core/CssBaseline");
var hooks_1 = require("../../customs/hooks");
var LystLoginForm = function (_a) {
    var handleSubmit = _a.handleSubmit, fieldStyles = _a.fieldStyles, buttonStyles = _a.buttonStyles;
    var _b = hooks_1.loginFormHooks(), password = _b.password, username = _b.username, handleChange = _b.handleChange;
    return (React.createElement(React.Fragment, null,
        React.createElement(CssBaseline_1.default, null),
        React.createElement("form", { style: {
                height: '100%',
                width: '100%',
                display: 'flex',
                flexDirection: 'column',
                alignItems: 'center'
            }, onSubmit: function (event) { return handleSubmit(event); } },
            React.createElement(LystLoginField_1.default, { type: "username", variant: 'outlined', styles: fieldStyles, required: true, inputVal: username, handleChange: handleChange }),
            React.createElement(LystLoginField_1.default, { type: "password", variant: 'outlined', styles: fieldStyles, required: true, inputVal: password, handleChange: handleChange }),
            React.createElement(LystButton_1.default, { type: 'submit', title: 'Login ➡', tooltip: !username || !password ? true : false, tooltipMsg: !username
                    ? 'Missing Username!'
                    : !password
                        ? 'Missing Password'
                        : 'Login ➡', variant: 'outlined', styles: buttonStyles, color: 'primary' }))));
};
exports.default = LystLoginForm;
//# sourceMappingURL=LystLoginForm.js.map