"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var List_1 = require("@material-ui/core/List");
var ListItem_1 = require("@material-ui/core/ListItem");
var ListItemText_1 = require("@material-ui/core/ListItemText");
var classnames_1 = require("classnames");
var styleFactory_1 = require("../../customs/styleFactory");
var styles_1 = require("../../styles");
// import { HeaderMenu } from '../../types';
var LystDropDown_1 = require("../LystDropDown");
var LystDropDownItem_1 = require("../LystDropDownItem");
var hooks_1 = require("../../customs/hooks");
var LystNavBar = function (_a) {
    var _b;
    var styles = _a.styles, items = _a.items, disablePadding = _a.disablePadding;
    var _c = hooks_1.drawerHook(false), selectedIndex = _c.selectedIndex, anchorElement = _c.anchorElement, handleListItemClick = _c.handleListItemClick, handleClose = _c.handleClose;
    var customStyles;
    var listItemTextClasses = styles_1.ListItemTextStyles();
    var listClasses = styles_1.ListStyles();
    styles
        ? (customStyles = styleFactory_1.default(styles)())
        : (customStyles = { list: null, listItem: null, listItemText: null });
    return (React.createElement(List_1.default, { classes: {
            root: classnames_1.default((_b = {},
                _b[listClasses.row] = disablePadding,
                _b[customStyles.list] = customStyles.list,
                _b))
        }, disablePadding: disablePadding }, items.map(function (item, index) {
        var _a, _b;
        return (React.createElement("div", { key: "navbar-" + index },
            React.createElement(ListItem_1.default, { tabIndex: index, classes: {
                    root: classnames_1.default((_a = {},
                        _a[customStyles.listItem] = customStyles.listItem,
                        _a))
                }, key: "nav-item-" + index, onClick: handleListItemClick },
                React.createElement(ListItemText_1.default, { classes: {
                        root: classnames_1.default((_b = {},
                            _b[listItemTextClasses.disablePadding] = disablePadding,
                            _b[customStyles.listItemText] = customStyles.listItemText,
                            _b))
                    }, primary: item.name })),
            index === selectedIndex && item.subItems && (React.createElement(LystDropDown_1.default, { handleClose: handleClose, anchorElement: anchorElement, position: 'top' },
                React.createElement(LystDropDownItem_1.default, { content: item.name }),
                item.subItems.map(function (subItem, index) {
                    return (React.createElement(LystDropDownItem_1.default, { content: subItem.name, component: subItem.component }));
                })))));
    })));
};
exports.default = LystNavBar;
//# sourceMappingURL=LystNavBar.js.map