"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
exports.drawerHook = function (open) {
    var _a = react_1.useState(NaN), selectedIndex = _a[0], setIndex = _a[1];
    var _b = react_1.useState(null), anchorElement = _b[0], setAnchorElement = _b[1];
    var handleListItemClick = function (event) {
        var currentTarget = event.currentTarget;
        var tabIndex = currentTarget.tabIndex;
        !open
            ? (function () {
                setIndex(tabIndex);
                setAnchorElement(currentTarget);
            })()
            : tabIndex === selectedIndex
                ? setIndex(NaN)
                : setIndex(tabIndex);
    };
    var handleClose = function () {
        setAnchorElement(null);
    };
    return {
        selectedIndex: selectedIndex,
        anchorElement: anchorElement,
        handleListItemClick: handleListItemClick,
        handleClose: handleClose
    };
};
exports.dropDownHook = function () {
    var _a = react_1.useState(null), anchorElement = _a[0], setAnchorElement = _a[1];
    var handleIconClick = function (event) {
        setAnchorElement(event.currentTarget);
    };
    var handleClose = function () {
        setAnchorElement(null);
    };
    return {
        anchorElement: anchorElement,
        handleIconClick: handleIconClick,
        handleClose: handleClose
    };
};
exports.loginFormHooks = function () {
    var _a = react_1.useState(''), password = _a[0], updatePassword = _a[1];
    var _b = react_1.useState(''), username = _b[0], updateUsername = _b[1];
    var handleChange = function (prop) { return function (event) {
        var _a = event.target, value = _a.value, name = _a.name;
        name === 'username' ? updateUsername(value) : updatePassword(value);
    }; };
    return {
        password: password,
        username: username,
        handleChange: handleChange
    };
};
exports.inputHooks = function () {
    var _a = react_1.useState(false), showPassword = _a[0], setShowPassword = _a[1];
    var handlePasswordIconClick = function () {
        setShowPassword(!showPassword);
    };
    return {
        handlePasswordIconClick: handlePasswordIconClick,
        showPassword: showPassword
    };
};
//# sourceMappingURL=hooks.js.map