"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var PersonOutline_1 = require("@material-ui/icons/PersonOutline");
var PeopleOutlineTwoTone_1 = require("@material-ui/icons/PeopleOutlineTwoTone");
var SearchTwoTone_1 = require("@material-ui/icons/SearchTwoTone");
var ViewModuleTwoTone_1 = require("@material-ui/icons/ViewModuleTwoTone");
var InsertChartOutlined_1 = require("@material-ui/icons/InsertChartOutlined");
var LocalHospital_1 = require("@material-ui/icons/LocalHospital");
var LocalPharmacyTwoTone_1 = require("@material-ui/icons/LocalPharmacyTwoTone");
var ReceiptOutlined_1 = require("@material-ui/icons/ReceiptOutlined");
var AssignmentInd_1 = require("@material-ui/icons/AssignmentInd");
var react_router_dom_1 = require("react-router-dom");
var icons = {
    currentResident: PersonOutline_1.default,
    charting: InsertChartOutlined_1.default,
    marTar: LocalHospital_1.default,
    orders: ReceiptOutlined_1.default,
    pharmacyRequest: LocalPharmacyTwoTone_1.default,
    careTasks: AssignmentInd_1.default,
    residentSearch: SearchTwoTone_1.default,
    ppoContingencyBulk: ViewModuleTwoTone_1.default,
    medTaskManagement: PeopleOutlineTwoTone_1.default
};
var rootPaths = {
    pharmacyRequest: 'pharmacy-request',
    currentResident: 'current-resident',
    charting: 'charting',
    marTar: 'mar-tar',
    orders: 'orders',
    careTasks: 'care-tasks'
};
exports.generateDrawerRoutes = function (rootName, subItems) {
    return {
        name: rootName,
        icon: icons[rootName],
        subItems: subItems.map(function (itemName, index) {
            return {
                name: itemName,
                path: "/" + rootPaths[rootName] + "/" + itemName,
                component: function (props) {
                    var innerRef = props.innerRef, otherProps = __rest(props, ["innerRef"]);
                    return (React.createElement(react_router_dom_1.NavLink, __assign({ key: "navlink-" + index }, otherProps, { to: "/" + rootName + "/" + itemName })));
                }
            };
        })
    };
};
exports.generateNavRoutes = function (rootName, subItems) {
    return {
        name: rootName,
        subItems: subItems.length
            ? subItems.map(function (itemName, index) {
                return {
                    name: itemName,
                    path: "/" + rootPaths[rootName] + "/" + itemName,
                    component: function (props) {
                        var innerRef = props.innerRef, otherProps = __rest(props, ["innerRef"]);
                        return (React.createElement(react_router_dom_1.NavLink, __assign({ key: "navlink-" + index }, otherProps, { to: "/" + rootName + "/" + itemName })));
                    }
                };
            })
            : null
    };
};
//# sourceMappingURL=routeFactory.js.map