"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_router_dom_1 = require("react-router-dom");
var LystHeader_1 = require("../components/LystHeader");
var Grid_1 = require("@material-ui/core/Grid");
var LystAvatar_1 = require("../components/LystAvatar");
var LystDropDown_1 = require("../components/LystDropDown");
var LystDropDownItem_1 = require("../components/LystDropDownItem");
var LystRadioGroup_1 = require("../components/LystRadioGroup");
var LystDrawer_1 = require("../components/LystDrawer");
var LystNavBar_1 = require("../components/LystNavBar");
var hooks_1 = require("../customs/hooks");
var routes_1 = require("../assets/routes");
var styleFactory_1 = require("customs/styleFactory");
var navbarStyles = {
    list: {
        display: 'flex'
    },
    listItemText: {
        '& span': {
            color: 'white'
        }
    }
};
var Landing = function () {
    var _a = React.useState(false), open = _a[0], setOpen = _a[1];
    var _b = hooks_1.dropDownHook(), anchorElement = _b.anchorElement, handleIconClick = _b.handleIconClick, handleClose = _b.handleClose;
    var toggleMenu = function () {
        setOpen(!open);
    };
    var handleRadioChange = function (event) {
        event.stopPropagation();
    };
    var drawerStyles = styleFactory_1.default({
        drawerItem: {
            '&:focus': {
                '& svg': {
                    fill: 'white'
                }
            },
            '&:hover': {
                '& svg': {
                    fill: 'white'
                },
                '& span': {
                    color: 'white'
                }
            }
        },
        drawerSubItem: {
            '&:hover span': {
                color: 'white'
            }
        },
        dropDown: {
            '& a': {
                padding: '.8rem 2rem'
            },
            '& a:hover': {
                color: 'white'
            }
        }
    })();
    return (React.createElement(react_router_dom_1.BrowserRouter, null,
        React.createElement(Grid_1.default, { direction: "column", container: true },
            React.createElement(LystHeader_1.default, { open: open, handleMenuClick: toggleMenu },
                React.createElement(LystNavBar_1.default, { styles: navbarStyles, disablePadding: true, items: routes_1.headerMenu }),
                React.createElement(LystAvatar_1.default, { handleClick: handleIconClick, initials: 'OM' }),
                anchorElement && (React.createElement(LystDropDown_1.default, { handleClose: handleClose, anchorElement: anchorElement, styles: 'top' },
                    React.createElement(LystDropDownItem_1.default, { component: function (props) { return (React.createElement(LystRadioGroup_1.default, __assign({}, props, { classes: 'row', styles: { radio: { padding: '.5rem' } }, items: ['orange', 'green', 'blue'], handleChange: handleRadioChange, formLabel: 'theme' }))); } })))),
            React.createElement(Grid_1.default, null,
                React.createElement(LystDrawer_1.default, { styles: drawerStyles, menuItems: routes_1.patientMenu, open: open, position: 'left' })))));
};
exports.default = Landing;
//# sourceMappingURL=Landing.js.map