"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var colors_1 = require("../customs/colors");
var styles_1 = require("@material-ui/styles");
exports.drawerStyles = styles_1.makeStyles(function (theme) {
    var _a;
    return ({
        root: {
            display: 'flex',
            height: '100%',
            overflow: 'auto',
            overflowX: 'hidden'
        },
        drawerOpen: {
            width: 235,
            transition: theme.transitions.create('width', {
                easing: theme.transitions.easing.sharp,
                duration: theme.transitions.duration.enteringScreen
            })
        },
        drawerClose: (_a = {
                transition: theme.transitions.create('width', {
                    easing: theme.transitions.easing.sharp,
                    duration: theme.transitions.duration.leavingScreen
                }),
                overflowX: 'hidden',
                width: theme.spacing.unit * 6 + 1
            },
            _a[theme.breakpoints.up('sm')] = {
                width: theme.spacing.unit * 7.5 + 1
            },
            _a)
    });
});
exports.RadioGroupStyles = styles_1.makeStyles(function () { return ({
    row: {
        flexDirection: 'row'
    },
    default: {
        '& span:nth-child(1) svg': {
            color: "" + colors_1.orangePalette.secondaryMain,
            pointerEvents: 'auto'
        },
        '& span:nth-child(2) svg': {
            pointerEvents: 'auto',
            color: "" + colors_1.bluePalette.secondaryMain
        },
        '& span:nth-child(3) svg': {
            pointerEvents: 'auto',
            color: "" + colors_1.greenPalette.secondaryMain
        }
    }
}); });
exports.IconButtonStyles = styles_1.makeStyles(function (theme) { return ({
    drawer: {
        color: theme.palette.primaryMain
    },
    menu: {
        '& svg': {
            fill: 'white'
        }
    }
}); });
exports.DropDownStyles = styles_1.makeStyles(function (theme) { return ({
    left: {
        left: '60px !important',
        '& ul': {
            paddingTop: '0 !important',
            paddingBottom: '0 !important'
        }
    },
    right: {
        left: 'auto !important',
        right: '60px !important',
        minWidth: 'max-content !important',
        '& ul': {
            paddingTop: '0 !important',
            paddingBottom: '0  !important'
        }
    },
    top: {
        top: '48px !important'
    }
}); });
exports.ListItemTextStyles = styles_1.makeStyles(function (theme) { return ({
    disablePadding: {
        padding: 0
    }
}); });
exports.ListStyles = styles_1.makeStyles(function (theme) { return ({
    row: {
        margin: 'auto'
    }
}); });
//# sourceMappingURL=index.js.map