import { PatientMenu, HeaderMenu } from '../types';
import {
  generateNavRoutes,
  generateDrawerRoutes
} from '../customs/routeFactory';

const generatedCurrentResident: any = generateDrawerRoutes('currentResident', [
  'homepage',
  'profile',
  'physicians',
  'communication',
  'contacts',
  'loa',
  'hospitalization',
  'alerts',
  'images'
]);

const generatedCharting: any = generateDrawerRoutes('charting', [
  'progressNotes',
  'incidentReporting',
  'vitals',
  'schedule',
  'physicianConsult'
]);

const generateMarTar: any = generateDrawerRoutes('marTar', [
  'monthlyMAR',
  'dailyMAR',
  'dailyTAR',
  'prn',
  'prePrintedOrders',
  'contingency',
  'medReceipt'
]);

const generatedPharmacyRequest = generateDrawerRoutes('pharmacyRequest', [
  'refill',
  'pending',
  'processed',
  'generalPharmacyRequest'
]);
const generatedOrders: any = generateDrawerRoutes('orders', [
  'nonMedOrders',
  'medOrders',
  'nonPharmacySuppliedMeds',
  'medsOnAdmission',
  'discontinuedMeds'
]);
const generatedCareTasks: any = generateDrawerRoutes('careTasks', [
  'dailyCareTasks',
  'monthlyCareTasks',
  'careTasksManagement'
]);

export const patientMenu: PatientMenu[] = [
  generatedCurrentResident,
  generatedCharting,
  generateMarTar,
  generatedOrders,
  generatedPharmacyRequest,
  generatedCareTasks
];

const generatedResidentSearch = generateNavRoutes('residentSearch', [
  'residentSearchPage',
  'residentQuickSearch'
]);

const generatedPPOContingencyBulk = generateNavRoutes('ppoContingencyBulk', [
  'medReceipt',
  'viewPreprintedOrders'
]);

const generatedMedTaskManagement = generateNavRoutes('medTaskManagement', [
  'globalMedReceipt',
  'viewSchedulesMarTarEvents',
  'viewCareTasks',
  'viewLastDose',
  'viewPrnPpo',
  'generalPharmacyRequest',
  'narcoticRecords',
  'enterBarcodeManually'
]);

const generatedAdmin = generateNavRoutes('admin', []);

const generatedReports = generateNavRoutes('reports', []);

export const headerMenu: HeaderMenu[] = [
  generatedResidentSearch,
  generatedPPOContingencyBulk,
  generatedMedTaskManagement,
  generatedAdmin,
  generatedReports
];
