import * as React from 'react';
import ListItem from '@material-ui/core/ListItem';
import { NavLink } from 'react-router-dom';
import ListItemText from '@material-ui/core/ListItemText';

const LystDrawerSubItem: React.FunctionComponent<{
  content: string;
  path: string;
  styles?: any;
}> = ({ content, path, styles }) => {
  // innerRef isnt required in NavLink types, so destructuring is needed
  // in order to only pass needed props to NavLink
  return (
    <ListItem
      classes={{
        root: styles
      }}
      component={({ innerRef, ...props }) => <NavLink {...props} to={path} />}
    >
      <ListItemText primary={content} />
    </ListItem>
  );
};

export default LystDrawerSubItem;
