import * as React from 'react';
import Menu from '@material-ui/core/Menu';
import classNames from 'classnames';
import { DropDownStyles } from '../../styles';

// styles for DropDown when drawer is positioned left

const LystDropDown: React.FunctionComponent<{
  anchorElement: any;
  handleClose: Function;
  children: React.ReactNode;
  position?: 'left' | 'right' | 'top';
  styles?: any;
}> = ({ anchorElement, handleClose, children, styles, position }) => {
  // MouseLeave and Click event listeners to unmounting DropDown
  // open/render DropDown only when anchorElement is truthy
  const defaultClasses = DropDownStyles();
  return (
    <Menu
      classes={{
        paper: classNames(styles, {
          [defaultClasses.left]: position === 'left',
          [defaultClasses.right]: position === 'right',
          [defaultClasses.top]: position === 'top'
        })
      }}
      anchorEl={anchorElement}
      open={Boolean(anchorElement)}
      MenuListProps={
        {
          // onMouseLeave: () => handleClose()
        }
      }
      onClick={() => handleClose()}
    >
      {children}
    </Menu>
  );
};

export default LystDropDown;
