import * as React from 'react';
import AppBar from '@material-ui/core/AppBar';
import Toolbar from '@material-ui/core/Toolbar';
import Grid from '@material-ui/core/Grid';
import LystIconButton from '../LystIconButton';
// import withWidth, { isWidthUp } from '@material-ui/core/withWidth';
import ChevronLeftIcon from '@material-ui/icons/ChevronLeft';
import MenuIcon from '@material-ui/icons/Menu';
import CssBaseline from '@material-ui/core/CssBaseline';

const LystHeader: React.FunctionComponent<{
  handleMenuClick: Function;
  width?: any;
  children?: any;
  open: boolean;
}> = ({ open, handleMenuClick, children }) => {
  return (
    <>
      <CssBaseline />
      <AppBar color="primary" position="sticky">
        <Toolbar variant="dense">
          <Grid style={{ padding: '0 .3rem' }} container>
            <LystIconButton styles={'menu'} handleClick={handleMenuClick}>
              {open ? <ChevronLeftIcon /> : <MenuIcon />}
            </LystIconButton>
            <img
              height="32"
              src="https://catalystrms.com/assets/templates/catalyst/images/catalyst-logo.png?v=2"
              style={{ margin: 'auto 1rem' }}
            />
            {children}
          </Grid>
        </Toolbar>
      </AppBar>
    </>
  );
};

// export default withWidth()(LystHeader);
export default LystHeader;
