import * as React from 'react';
import IconButton from '@material-ui/core/IconButton';
import classNames from 'classnames';
import { IconButtonStyles } from '../../styles';

const LystIconButton: React.FunctionComponent<{
  children: any;
  handleClick: Function;
  styles: 'menu' | 'drawer';
}> = ({ handleClick, children, styles }) => {
  const classes = IconButtonStyles();
  return (
    <IconButton
      onClick={() => handleClick()}
      classes={{
        root: classNames({
          [classes.drawer]: styles === 'drawer',
          [classes.menu]: styles === 'menu'
        })
      }}
    >
      {children}
    </IconButton>
  );
};

export default LystIconButton;
