import * as React from 'react';
import RadioGroup from '@material-ui/core/RadioGroup';
import Radio from '@material-ui/core/Radio';

import classNames from 'classnames';
import { RadioGroupStyles } from '../../styles';
import generateStyles from '../../customs/styleFactory';

const LystRadioGroup: React.FunctionComponent<{
  formLabel: string;
  styles?: any;
  classes: 'row';
  handleChange: Function;
  items: ('orange' | 'green' | 'blue')[];
}> = ({ classes, styles, formLabel, handleChange, items }) => {
  const radioClasses = RadioGroupStyles();
  let customStyles: any;
  styles ? (customStyles = generateStyles(styles)()) : null;

  return (
    <RadioGroup
      classes={{
        root: classNames({
          [radioClasses.default]: true,
          [radioClasses.row]: classes === 'row',
          [customStyles.radio]: customStyles.radio
        })
      }}
    >
      {items.map((name, index) => (
        <Radio
          onClick={event => handleChange(event)}
          disableRipple={true}
          key={`radio_item-${index}`}
          value={name}
          name={`radio-item-${name}`}
        />
      ))}
    </RadioGroup>
  );
};

export default LystRadioGroup;
