export interface IPalette {
  primaryLight: string;
  primaryDark: string;
  primaryContrastText: string;
  gradientBG: string;
  primaryMain: string;
  secondaryMain: string;
  secondaryLight: string;
  secondaryDark: string;
  secondaryContrastText: string;
  misc: string;
  miscLight: string;
  borderPrimary: string;
  borderSecondary: string;
  hoverMain: string;
}

export const orangePalette: IPalette = {
  primaryLight: 'rgb(223, 104, 67)',
  primaryDark: 'rgb(151, 46, 14)',
  primaryContrastText: '#FFF3E0',
  gradientBG: 'linear-gradient(45deg, #D84315 30%, #FF8E53 90%)',
  primaryMain: '#D84315',
  secondaryMain: '#FF6E40',
  secondaryLight: 'rgb(255, 139, 102)',
  secondaryDark: 'rgb(178, 77, 44)',
  secondaryContrastText: '#da540096',
  misc: 'rgb(255, 82, 27)',
  miscLight: 'rgb(251, 225, 212)',
  borderPrimary: 'rgb(236, 236, 236)',
  borderSecondary: 'rgba(208, 54, 30, 0.55)',
  hoverMain: 'white'
};

export const bluePalette: IPalette = {
  primaryMain: '#0277BD',
  primaryLight: 'rgb(52, 146, 202)',
  primaryDark: 'rgb(1, 83, 132)',
  primaryContrastText: '#0064ff1f',
  secondaryMain: '#0098dc',
  secondaryLight: 'rgb(27, 171, 236)',
  secondaryDark: 'rgb(44, 137, 178)',
  secondaryContrastText: '#0085ff78',
  misc: 'rgb(0, 157, 255)',
  miscLight: 'rgb(222, 249, 255)',
  borderPrimary: 'rgb(236, 236, 236)',
  borderSecondary: 'rgb(182, 226, 247)',
  gradientBG: 'linear-gradient(45deg, #2196F3 30%, #21CBF3 90%)',
  hoverMain: 'white'
};

export const greenPalette: IPalette = {
  primaryMain: '#0ecc9c',
  primaryLight: 'rgb(74, 237, 196)',
  primaryDark: 'rgb(20, 163, 127)',
  primaryContrastText: '#E8F5E9',
  secondaryMain: '#02c767',
  secondaryLight: 'rgb(82, 214, 149)',
  secondaryDark: 'rgb(0, 161, 82)',
  secondaryContrastText: '#00b90961',
  misc: 'rgb(73, 191, 133)',
  miscLight: 'rgb(222, 255, 232)',
  borderPrimary: 'rgb(236, 236, 236)',
  borderSecondary: '#a2e2a5',
  gradientBG: 'linear-gradient(45deg, #0ecc9c 30%, rgb(74, 237, 196) 90%)',
  hoverMain: 'white'
};
