import React from 'react';
import { storiesOf } from '@storybook/react';
import LystDrawer from '../components/LystDrawer';
import LystThemeProvider from '../components/LystThemeProvider';
import { patientMenu } from '../assets/routes';
import { boolean, select } from '@storybook/addon-knobs/react';
import { BrowserRouter as Router } from 'react-router-dom';

const sideOptions = { right: 'right', left: 'left' };

storiesOf('Drawer', module)
  .addWithJSX('Orange Drawer', () => (
    <LystThemeProvider theme={'orange'}>
      <Router>
        <LystDrawer
          menuItems={patientMenu}
          position={select('side?', sideOptions, 'left', 'Drawer Position')}
          open={boolean('Drawer state', false, 'Drawer state')}
        />
      </Router>
    </LystThemeProvider>
  ))
  .addWithJSX('Blue Drawer', () => (
    <LystThemeProvider theme={'blue'}>
      <Router>
        <LystDrawer
          menuItems={patientMenu}
          position={select('side?', sideOptions, 'left', 'Drawer Position')}
          open={boolean('Drawer state', false, 'Drawer state')}
        />
      </Router>
    </LystThemeProvider>
  ))
  .addWithJSX('Green Drawer', () => (
    <LystThemeProvider theme={'green'}>
      <Router>
        <LystDrawer
          menuItems={patientMenu}
          position={select('side?', sideOptions, 'left', 'Drawer Position')}
          open={boolean('Drawer state', false, 'Drawer state')}
        />
      </Router>
    </LystThemeProvider>
  ));
// https://github.com/storybooks/storybook/tree/master/addons/knobs
