import React from 'react';
import LystDropDown from '../components/LystDropDown';
import LystThemeProvider from '../components/LystThemeProvider';
import { storiesOf } from '@storybook/react';
import { select } from '@storybook/addon-knobs/react';
import Typography from '@material-ui/core/Typography';

storiesOf('Drop Down', module).addWithJSX('Basic Drop Down Menu', () => {
  return (
    <LystThemeProvider theme={'orange'}>
      <button onClick={event => setAnchorEl(event.currentTarget)} />
      <LystDropDown
        anchorEl={select(
          'Active',
          { open: 'nothing', close: null },
          this,
          'Anchor Element'
        )}
        handleClose={() => {}}
      >
        <Typography component="p">Praise the Sun</Typography>
        <Typography component="p">Praise the Sun</Typography>
        <Typography component="p">Praise the Sun</Typography>
        <Typography component="p">Praise the Sun</Typography>
        <Typography component="p">Praise the Sun</Typography>
        <Typography component="p">Praise the Sun</Typography>
      </LystDropDown>
    </LystThemeProvider>
  );
});
