import React from 'react';
import { storiesOf } from '@storybook/react';
import LystThemeProvider from '../components/LystThemeProvider';
import LystHeader from '../components/LystHeader';
import LystAvatar from '../components/LystAvatar';
import LystDropDown from '../components/LystDropDown';
import LystDropDownItem from '../components/LystDropDownItem';
import LystRadioGroup from '../components/LystRadioGroup';
import { select, boolean } from '@storybook/addon-knobs';

const anchorSelectOptions = {
  hide: null
};

storiesOf('Header', module).addWithJSX('Header + Navigation + avatar', () => (
  <LystThemeProvider theme={'orange'}>
    <LystHeader
      open={boolean('open', false, 'groupid1')}
      handleMenuClick={() => {}}
    >
      <LystAvatar handleClick={() => {}} initials={'OM'} />
      <LystDropDown handleClose={() => {}} anchorElement={null} styles={'top'}>
        <LystDropDownItem
          component={props => (
            <LystRadioGroup
              {...props}
              styles={'row'}
              items={['orange', 'green', 'blue']}
              handleChange={() => {}}
              formLabel={'theme'}
            />
          )}
        />
      </LystDropDown>
    </LystHeader>
  </LystThemeProvider>
));
