import React from 'react';
import LystLoading from '../components/LystLoading';
import LystThemeProvider from '../components/LystThemeProvider';
import { storiesOf } from '@storybook/react';

import { text, boolean, select, number } from '@storybook/addon-knobs/react';

const colorOptions = {
  inherit: 'inherit',
  primary: 'primary',
  secondary: 'secondary'
};

const loadingVariants = {
  determinate: 'determinate',
  indeterminate: 'indeterminate',
  static: 'static'
};

storiesOf('Loading', module)
  .addWithJSX('Basic Loading', () => (
    <LystLoading
      variant={select('Variant Options', loadingVariants, 'indeterminate')}
      color={select('Color Options', colorOptions, 'primary')}
      thickness={number('Thickness', 3.6, 'thickness')}
      size={number('Size', 100, 'Size')}
      classes={{ rootContainer: {} }}
    />
  ))
  .addWithJSX('Orange theme', () => (
    <LystThemeProvider theme={'orange'}>
      <LystLoading
        variant="indeterminate"
        color={select('Color Options', colorOptions, 'primary', 'color')}
      />
    </LystThemeProvider>
  ))
  .addWithJSX('Blue Theme', () => (
    <LystThemeProvider theme={'blue'}>
      <LystLoading
        variant="indeterminate"
        color={select('Color Options', colorOptions, 'primary', 'color')}
      />
    </LystThemeProvider>
  ))
  .addWithJSX('Green Theme', () => (
    <LystThemeProvider theme={'green'}>
      <LystLoading
        variant="indeterminate"
        color={select('Color Options', colorOptions, 'primary', 'color')}
      />
    </LystThemeProvider>
  ));
