import React from 'react';
import { storiesOf } from '@storybook/react';
import LystLoginField from '../components/LystLoginField';
import LystLoginForm from '../components/LystLoginForm';
import LystThemeProvider from '../components/LystThemeProvider';
import { select } from '@storybook/addon-knobs';

const variantOptions = {
  outlined: 'outlined',
  standard: 'standard',
  filled: 'filled'
};

storiesOf('Text Fields', module)
  .addWithJSX('Password Field w/variants', () => (
    <LystThemeProvider theme={'blue'}>
      <LystLoginField
        type="password"
        handleChange={() => {}}
        variant={select('variants', variantOptions, 'outlined', 'variant')}
        required={true}
      />
    </LystThemeProvider>
  ))
  .addWithJSX('Username Field', () => (
    <LystThemeProvider theme={'orange'}>
      <LystLoginField
        type="username"
        variant={select('variants', variantOptions, 'outlined', 'variant')}
        handleChange={() => {}}
        required={true}
      />
    </LystThemeProvider>
  ))
  .addWithJSX('Username + Password Fields', () => (
    <>
      <LystThemeProvider theme={'orange'}>
        <LystLoginForm />
      </LystThemeProvider>
    </>
  ));
