import React from 'react';
import { storiesOf } from '@storybook/react';
import LystThemeProvider from '../components/LystThemeProvider';
import LystRadioGroup from '../components/LystRadioGroup';
import { makeStyles } from '@material-ui/styles';
import { orangePalette, bluePalette, greenPalette } from '../customs/colors';

const styles = makeStyles(() => ({
  root: {
    flexDirection: 'row !important',
    '& span:nth-child(1) svg': {
      color: `${orangePalette.secondaryMain} !important`,
      pointerEvents: 'auto'
    },
    '& span:nth-child(2) svg': {
      pointerEvents: 'auto',
      color: `${bluePalette.secondaryMain} !important`
    },
    '& span:nth-child(3) svg': {
      pointerEvents: 'auto',
      color: `${greenPalette.secondaryMain} !important`
    }
  }
}));

const itemProps = ['orange', 'blue', 'green'];

storiesOf('Radio Group', module).addWithJSX('radio group', () => (
  <LystThemeProvider theme={'green'}>
    <LystRadioGroup
      formLabel={'Themes'}
      styles={'row'}
      items={itemProps}
      handleChange={event => {
        console.log(event.target.value);
      }}
    />
  </LystThemeProvider>
));
