import React from 'react';
import { storiesOf } from '@storybook/react';
import themes from '../customs/themes';
import LystTypography from '../components/LystTypography';
import LystThemeProvider from '../components/LystThemeProvider';
import { select } from '@storybook/addon-knobs/react';

const variantOptions = {
  caption: 'caption',
  body1: 'body1',
  body2: 'body2',
  button: 'button',
  display1: 'display1',
  display2: 'display2',
  display3: 'display3',
  display4: 'display4',
  h1: 'h1',
  h2: 'h2',
  h3: 'h3',
  h4: 'h4',
  h5: 'h5',
  h6: 'h6',
  headline: 'headline',
  inherit: 'inherit',
  overline: 'overline',
  subtitle1: 'subtitle1',
  subtitle2: 'subtitle2',
  subheading: 'subheading',
  title: 'title'
};

storiesOf('Typography', module)
  .addWithJSX('Orange theme', () => (
    <LystThemeProvider theme={themes['orange']}>
      <div style={{ display: 'flex' }}>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'h1'}>h1</LystTypography>
          <LystTypography variant={'h2'}>h2</LystTypography>
          <LystTypography variant={'h3'}>h3</LystTypography>
          <LystTypography variant={'h4'}>h4</LystTypography>
          <LystTypography variant={'h5'}>h5</LystTypography>
          <LystTypography variant={'h6'}>h6</LystTypography>
        </section>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'display1'}>display1</LystTypography>
          <LystTypography variant={'display2'}>display2</LystTypography>
          <LystTypography variant={'display3'}>display3</LystTypography>
          <LystTypography variant={'display4'}>display4</LystTypography>
        </section>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'title'}>title</LystTypography>
          <LystTypography variant={'caption'}>caption</LystTypography>
          <LystTypography variant={'headline'}>headline</LystTypography>
          <LystTypography variant={'inherit'}>inherit</LystTypography>
          <LystTypography variant={'overline'}>overline</LystTypography>
        </section>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'body1'}>body1</LystTypography>
          <LystTypography variant={'body2'}>body2</LystTypography>
          <LystTypography variant={'subtitle1'}>subtitle1</LystTypography>
          <LystTypography variant={'subtitle2'}>subtitle2</LystTypography>
        </section>
      </div>
    </LystThemeProvider>
  ))
  .addWithJSX('Blue theme', () => (
    <LystThemeProvider theme={themes['blue']}>
      <div style={{ display: 'flex' }}>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'h1'}>h1</LystTypography>
          <LystTypography variant={'h2'}>h2</LystTypography>
          <LystTypography variant={'h3'}>h3</LystTypography>
          <LystTypography variant={'h4'}>h4</LystTypography>
          <LystTypography variant={'h5'}>h5</LystTypography>
          <LystTypography variant={'h6'}>h6</LystTypography>
        </section>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'display1'}>display1</LystTypography>
          <LystTypography variant={'display2'}>display2</LystTypography>
          <LystTypography variant={'display3'}>display3</LystTypography>
          <LystTypography variant={'display4'}>display4</LystTypography>
        </section>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'title'}>title</LystTypography>
          <LystTypography variant={'caption'}>caption</LystTypography>
          <LystTypography variant={'headline'}>headline</LystTypography>
          <LystTypography variant={'inherit'}>inherit</LystTypography>
          <LystTypography variant={'overline'}>overline</LystTypography>
        </section>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'body1'}>body1</LystTypography>
          <LystTypography variant={'body2'}>body2</LystTypography>
          <LystTypography variant={'subtitle1'}>subtitle1</LystTypography>
          <LystTypography variant={'subtitle2'}>subtitle2</LystTypography>
        </section>
      </div>
    </LystThemeProvider>
  ))
  .addWithJSX('Green theme', () => (
    <LystThemeProvider theme={themes['green']}>
      <div style={{ display: 'flex' }}>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'h1'}>h1</LystTypography>
          <LystTypography variant={'h2'}>h2</LystTypography>
          <LystTypography variant={'h3'}>h3</LystTypography>
          <LystTypography variant={'h4'}>h4</LystTypography>
          <LystTypography variant={'h5'}>h5</LystTypography>
          <LystTypography variant={'h6'}>h6</LystTypography>
        </section>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'display1'}>display1</LystTypography>
          <LystTypography variant={'display2'}>display2</LystTypography>
          <LystTypography variant={'display3'}>display3</LystTypography>
          <LystTypography variant={'display4'}>display4</LystTypography>
        </section>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'title'}>title</LystTypography>
          <LystTypography variant={'caption'}>caption</LystTypography>
          <LystTypography variant={'headline'}>headline</LystTypography>
          <LystTypography variant={'inherit'}>inherit</LystTypography>
          <LystTypography variant={'overline'}>overline</LystTypography>
        </section>
        <section style={{ margin: '0 3rem' }}>
          <LystTypography variant={'body1'}>body1</LystTypography>
          <LystTypography variant={'body2'}>body2</LystTypography>
          <LystTypography variant={'subtitle1'}>subtitle1</LystTypography>
          <LystTypography variant={'subtitle2'}>subtitle2</LystTypography>
        </section>
      </div>
    </LystThemeProvider>
  ));
