import { orangePalette, bluePalette, greenPalette } from '../customs/colors';
import { makeStyles } from '@material-ui/styles';

export const drawerStyles = makeStyles((theme: any) => ({
  root: {
    display: 'flex',
    height: '100%',
    overflow: 'auto',
    overflowX: 'hidden'
  },
  drawerOpen: {
    width: 235,
    transition: theme.transitions.create('width', {
      easing: theme.transitions.easing.sharp,
      duration: theme.transitions.duration.enteringScreen
    })
  },
  drawerClose: {
    transition: theme.transitions.create('width', {
      easing: theme.transitions.easing.sharp,
      duration: theme.transitions.duration.leavingScreen
    }),
    overflowX: 'hidden',
    width: theme.spacing.unit * 6 + 1,
    [theme.breakpoints.up('sm')]: {
      width: theme.spacing.unit * 7.5 + 1
    }
  }
}));

export const RadioGroupStyles = makeStyles(() => ({
  row: {
    flexDirection: 'row'
  },
  default: {
    '& span:nth-child(1) svg': {
      color: `${orangePalette.secondaryMain}`,
      pointerEvents: 'auto'
    },
    '& span:nth-child(2) svg': {
      pointerEvents: 'auto',
      color: `${bluePalette.secondaryMain}`
    },
    '& span:nth-child(3) svg': {
      pointerEvents: 'auto',
      color: `${greenPalette.secondaryMain}`
    }
  }
}));

export const IconButtonStyles = makeStyles(theme => ({
  drawer: {
    color: theme.palette.primaryMain
  },
  menu: {
    '& svg': {
      fill: 'white'
    }
  }
}));

export const DropDownStyles = makeStyles(theme => ({
  left: {
    left: '60px !important',
    '& ul': {
      paddingTop: '0 !important',
      paddingBottom: '0 !important'
    }
  },
  right: {
    left: 'auto !important',
    right: '60px !important',
    minWidth: 'max-content !important',
    '& ul': {
      paddingTop: '0 !important',
      paddingBottom: '0  !important'
    }
  },
  top: {
    top: '48px !important'
  }
}));

export const ListItemTextStyles = makeStyles(theme => ({
  disablePadding: {
    padding: 0
  }
}));

export const ListStyles = makeStyles(theme => ({
  row: {
    margin: 'auto'
  }
}));
